#!/bin/sh

if [ "`uname -m`" = "x86_64" ]; then
    def_install_dir=/usr/lib64/nagios/plugins/contrib
else
    def_install_dir=/usr/lib/nagios/plugins/contrib
fi
def_mandir=/usr/share/man/man3

if [ "$1" = "-q" ]; then
    install_dir=$def_install_dir
    mandir=$def_mandir
else
    echo -n "Plugin dir [$def_install_dir]: "
    read install_dir
    if [ "$install_dir" = "" ]; then
	install_dir=$def_install_dir
    fi
    echo -n "Man page dir [$def_mandir]: "
    read mandir
    if [ "$mandir" = "" ]; then
	mandir=$def_mandir
    fi
fi

if [ -d $install_dir ]; then
    :
else
    echo "ERROR: Plugin directory $install_dir doesn't exist,"
    echo "ERROR: or is not a directory"
    exit 1
fi

if [ -d $mandir ]; then
    :
else
    echo "ERROR: Man page directory $mandir doesn't exist,"
    echo "ERROR: or is not a directory"
    exit 1
fi

# The script and symlinks
cp check_openmanage $install_dir
cd $install_dir
ln -sf check_openmanage check_openmanage_alertlog
ln -sf check_openmanage check_openmanage_batteries
ln -sf check_openmanage check_openmanage_cpu
ln -sf check_openmanage check_openmanage_esmlog
ln -sf check_openmanage check_openmanage_esmhealth
ln -sf check_openmanage check_openmanage_fans
ln -sf check_openmanage check_openmanage_intrusion
ln -sf check_openmanage check_openmanage_memory
ln -sf check_openmanage check_openmanage_power
ln -sf check_openmanage check_openmanage_pwrmonitor
ln -sf check_openmanage check_openmanage_storage
ln -sf check_openmanage check_openmanage_temperature

# The man page
cd - >/dev/null
cp check_openmanage.3pm $mandir

# Done
echo "done."
exit 0
